GRAPH1D_CREATE(3)

EXPERIMENTAL_FUNC
graph1d_create - Create viewable graph.

SYNOPSIS
#include <karma_graph1d.h>

KViewableGraph graph1d_create

(KWorldCanvas canvas, unsigned int num_points, double **x, double **y, uaddr key, ...)

DESCRIPTION
This routine will create a viewable graph object from two arrays of values. At a later time, this viewable graph may be made visible. This routine will not cause the canvas to be refreshed.

canvas
    The world canvas onto which the viewable graph may be drawn. Many viewable graphs may be associated with a single canvas.

num_points
    The number of points in this viewable graph.

x   The pointer to the array of horizontal values is written here. The space is automatically dealloated when the graph is destroyed.

y   The pointer to the array of vertical values is written here. The space is automatically dealloated when the graph is destroyed.

key The key to associate with this viewable graph.

... The list of parameter attribute-key attribute-value-ptr pairs must follow. This list must be terminated with the GRAPH1D_VGRAPH_ATT_END. See <-graph1d_VGRAPH_ATTRIBUTES-> for the list of attributes.

RETURN VALUE
A KViewableGraph object on success, NULL.

Multi-threading Level
Unsafe.

NOTE
The KViewableGraph will be automatically destroyed if the canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/